<?php
class Movimento extends TRecord
{
    const TABLENAME = 'tbl_movi';
    const PRIMARYKEY= 'id';
    const IDPOLICY =  'max'; // {max, serial}

    use SystemChangeLogTrait;

    public function __construct($id = NULL)
    {
        parent::__construct($id);
        parent::addAttribute('dia');
        parent::addAttribute('entrada');
        parent::addAttribute('saida');
        parent::addAttribute('deve_anterior');
        parent::addAttribute('deve_atual');
        parent::addAttribute('comissao');
        parent::addAttribute('despesas');
        parent::addAttribute('pago');
        parent::addAttribute('cx_anterior');
        parent::addAttribute('cx_atual');
        parent::addAttribute('usuario');
        parent::addAttribute('id_ponto');
    }
}
?>